FROM debian:stretch

MAINTAINER Thijn <thijn@viceunderdogs.com>

# Install packages
RUN apt-get update && apt-get install -y \
 wget \
 unzip \
 p7zip \
 openjdk-8-jre-headless \
 openjdk-8-jdk-headless \
 libstdc++6 \
 valgrind \
 libasan3 \
 gcc \
 g++ \
 build-essential \
 libcurl3 \
 && adduser --disabled-password --home /home/container container

RUN mkdir -p /usr/lib/jvm/java-12-openjdk-amd64 && cd /usr/lib/jvm/java-12-openjdk-amd64 && \
 wget 'https://download.java.net/java/GA/jdk12.0.2/e482c34c86bd4bf8b56c0b35558996b9/10/GPL/openjdk-12.0.2_linux-x64_bin.tar.gz' && \
 tar -xzv --strip-components=1 -f openjdk-12.0.2_linux-x64_bin.tar.gz

RUN apt-get install -y screen gdb
RUN cd /tmp && wget 'http://security.debian.org/debian-security/pool/updates/main/o/openssl/libssl1.0.0_1.0.1t-1+deb8u12_amd64.deb' && \
dpkg -i libssl1.0.0_1.0.1t-1+deb8u12_amd64.deb && rm libssl1.0.0_1.0.1t-1+deb8u12_amd64.deb

RUN mkdir -p /usr/lib/jvm/jdk-15 && cd /usr/lib/jvm/jdk-15 && \
 wget 'https://download.java.net/java/GA/jdk15.0.2/0d1cfde4252546c6931946de8db48ee2/7/GPL/openjdk-15.0.2_linux-x64_bin.tar.gz' && \
 tar -xzv --strip-components=1 -f openjdk-15.0.2_linux-x64_bin.tar.gz

USER container
ENV USER container
ENV HOME /home/container
ENV VCMP_VERSION v30
ENV VCMP_PLUGIN_PATCH patch2

WORKDIR /home/container

COPY ./start.sh /start.sh
COPY ./query /bin/vcmp-query
healthcheck --interval=5m --timeout=3s \
  cmd /bin/vcmp-query "127.0.0.1:8192"

CMD ["/bin/bash", "/start.sh"]
